@charset "utf-8";
/* CSS Document */

@font-face {
  font-family: 'Comfortaa';
  src: local('Comfortaa Regular'),
       url('Fonts/Comfortaa-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Comfortaa';
  src: local('Comfortaa Bold'),
       url('Fonts/Comfortaa-Bold.ttf') format('truetype');
  font-weight: 700 900;
  font-style: normal;
  font-display: swap;
}

body {
  font-family: 'Lato', sans-serif;
}

  html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: auto; /* PAS DE SCROLL */
  }

.menu-btn {
	color: #FFFFFF;
    text-shadow: 
        0 0 4px rgba(0,0,0,0.8),
        0 0 10px rgba(0,0,0,0.6);
  font-size: 65px;
  cursor: pointer;
  position: absolute;
  top: calc(30px + env(safe-area-inset-top));
  right: calc(30px + env(safe-area-inset-right));      
  z-index: 1;
	padding: 10px;
}

@media screen and (max-width: 450px) {
  .menu-btn {font-size: 55px;}
}

.menu-btn:hover {
  color: black;
}

.menu-btn.hidden {
  opacity: 0;
  pointer-events: none; 
}

.overlay {
  height: 0%;
  width: 100%;
  position: fixed;
  z-index: 2;
  top: 0;
  left: 0;
  background-color: rgba(0,0,0, 1);
  overflow-y: hidden;
  transition: 0.5s;
}

.overlay-content {
  position: relative;
  top: 12%;
  width: 100%;
  text-align: center;
  margin-top: 30px;
}

.overlay a {
  padding: 8px;
  text-decoration: none;
  font-family: 'Comfortaa', sans-serif;
  font-size: 60px;
  font-weight: 700;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.overlay a:hover, .overlay a:focus {
  color: #ede569;
}

.overlay .closebtn {
  position: fixed;
  top: calc(28px + env(safe-area-inset-top));
  right: calc(28px + env(safe-area-inset-right));
  left: auto;
  font-size: 50px;
	color:#FFFFFF;
  display: none; 
}

@media screen and (max-width: 450px) {
  .overlay {overflow-y: auto;}
  .overlay a {font-size: 40px}
}

body.menu-open .overlay .closebtn {
  display: block;
}

.donate-btn {
  margin-top: 60px;
}

.logo {
  position: absolute;
  z-index: 1;
  top: 35px;
  left: 40px;
}

.logo img {
  width: clamp(80px, 12vw, 150px);
  max-width: 150px;
  height: auto;
}

@media (max-width: 450px) {
  .logo {
    left: 15px;
  }
  .logo img {
    width: 75px;
    height: auto;
  }
}